aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-07-16 17:49:59 -0700
committerJunio C Hamano <gitster@pobox.com>2008-07-16 17:49:59 -0700
commit1f8dc671557a7330eaee9c0296bfad669d26a1b8 (patch)
tree6d3152f0bf2da873cd29efe3dc962e49034b15d3
parent0513f241cc2d757371dc7ba6b065366de044862e (diff)
parentb4f02d3509e8e4da0f115b9515d52daa02621db7 (diff)
downloadgit-1f8dc671557a7330eaee9c0296bfad669d26a1b8.tar.gz
git-1f8dc671557a7330eaee9c0296bfad669d26a1b8.tar.xz
Merge branch 'mv/dashless'
* mv/dashless: make remove-dashes: apply to scripts and programs as well, not just to builtins git-bisect: use dash-less form on git bisect log t1007-hash-object.sh: use quotes for the test description t0001-init.sh: change confusing directory name
-rw-r--r--Makefile2
-rwxr-xr-xfixup-builtins18
-rwxr-xr-xgit-bisect.sh12
-rwxr-xr-xt/t0001-init.sh6
-rwxr-xr-xt/t1007-hash-object.sh2
5 files changed, 22 insertions, 18 deletions
diff --git a/Makefile b/Makefile
index 9b52071b7..75c4ead47 100644
--- a/Makefile
+++ b/Makefile
@@ -1298,7 +1298,7 @@ check: common-cmds.h
for i in *.c; do sparse $(ALL_CFLAGS) $(SPARSE_FLAGS) $$i || exit; done
remove-dashes:
- ./fixup-builtins $(BUILT_INS)
+ ./fixup-builtins $(BUILT_INS) $(PROGRAMS) $(SCRIPTS)
### Installation rules
diff --git a/fixup-builtins b/fixup-builtins
index 49e861d2a..63dfa4c47 100755
--- a/fixup-builtins
+++ b/fixup-builtins
@@ -1,16 +1,16 @@
#!/bin/sh
while [ "$1" ]
do
- old="$1"
- new=$(echo "$1" | sed 's/git-/git /')
- echo "Converting '$old' to '$new'"
- git ls-files '*.sh' | while read file
- do
- sed "s/\\<$old\\>/$new/g" < $file > $file.new
- chmod --reference=$file $file.new
- mv $file.new $file
- done
+ if [ "$1" != "git-sh-setup" -a "$1" != "git-parse-remote" -a "$1" != "git-svn" ]; then
+ old="$1"
+ new=$(echo "$1" | sed 's/git-/git /')
+ echo "Converting '$old' to '$new'"
+ sed -i "s/\\<$old\\>/$new/g" $(git ls-files '*.sh')
+ fi
shift
done
+
+sed -i 's/git merge-one-file/git-merge-one-file/g
+s/git rebase-todo/git-rebase-todo/g' $(git ls-files '*.sh')
git update-index --refresh >& /dev/null
exit 0
diff --git a/git-bisect.sh b/git-bisect.sh
index 991b2ef37..3cac20db7 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -149,7 +149,7 @@ bisect_start() {
echo "$start_head" >"$GIT_DIR/BISECT_START" &&
sq "$@" >"$GIT_DIR/BISECT_NAMES" &&
eval "$eval" &&
- echo "git-bisect start$orig_args" >>"$GIT_DIR/BISECT_LOG" || exit
+ echo "git bisect start$orig_args" >>"$GIT_DIR/BISECT_LOG" || exit
#
# Check if we can proceed to the next bisect state.
#
@@ -169,7 +169,7 @@ bisect_write() {
esac
git update-ref "refs/bisect/$tag" "$rev" || exit
echo "# $state: $(git show-branch $rev)" >>"$GIT_DIR/BISECT_LOG"
- test -n "$nolog" || echo "git-bisect $state $rev" >>"$GIT_DIR/BISECT_LOG"
+ test -n "$nolog" || echo "git bisect $state $rev" >>"$GIT_DIR/BISECT_LOG"
}
bisect_state() {
@@ -426,9 +426,13 @@ bisect_clean_state() {
bisect_replay () {
test -r "$1" || die "cannot read $1 for replaying"
bisect_reset
- while read bisect command rev
+ while read git bisect command rev
do
- test "$bisect" = "git-bisect" || continue
+ test "$git $bisect" = "git bisect" -o "$git" = "git-bisect" || continue
+ if test "$git" = "git-bisect"; then
+ rev="$command"
+ command="$bisect"
+ fi
case "$command" in
start)
cmd="bisect_start $rev"
diff --git a/t/t0001-init.sh b/t/t0001-init.sh
index d31887f9b..2a38d98cb 100755
--- a/t/t0001-init.sh
+++ b/t/t0001-init.sh
@@ -83,11 +83,11 @@ test_expect_success 'init --bare' '
(
unset GIT_DIR GIT_WORK_TREE GIT_CONFIG
- mkdir git-init-bare.git &&
- cd git-init-bare.git &&
+ mkdir init-bare.git &&
+ cd init-bare.git &&
git init --bare
) &&
- check_config git-init-bare.git true unset
+ check_config init-bare.git true unset
'
test_expect_success 'GIT_DIR non-bare' '
diff --git a/t/t1007-hash-object.sh b/t/t1007-hash-object.sh
index 05262954a..1ec053513 100755
--- a/t/t1007-hash-object.sh
+++ b/t/t1007-hash-object.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-test_description=git-hash-object
+test_description="git-hash-object"
. ./test-lib.sh